package com.steerinfo.ems.Utils;

import java.math.BigDecimal;
import java.util.Map;

import com.steerinfo.ems.emseoaihoursumtab1.model.EmsEoAiHourSumTab1;
import com.steerinfo.ems.emseoaihoursumtab1org.model.EmsEoAiHourSumTab1Org;

public class EmsEoAiUtil {
	/**
     * 小时累积值计算（小时累计值 = 当前小时准点值 - 前1小时小时准点值）
     * @param eeh 小时累计值
     * @param eeho 小时准点值
     * @param eehol 前一个小时准点值
     * @return
     */
	public static EmsEoAiHourSumTab1 setVal(EmsEoAiHourSumTab1 eeh,EmsEoAiHourSumTab1Org eeho,EmsEoAiHourSumTab1Org eehol){
		if (eeh == null) {
			return null;
		}
    	eeh.setTag1(eeho.getTag1()==null||eehol.getTag1()==null?null:new BigDecimal(Double.toString(eeho.getTag1())).subtract(new BigDecimal(Double.toString(eehol.getTag1()))).doubleValue());
		eeh.setTag2(eeho.getTag2()==null||eehol.getTag2()==null?null:new BigDecimal(Double.toString(eeho.getTag2())).subtract(new BigDecimal(Double.toString(eehol.getTag2()))).doubleValue());
		eeh.setTag3(eeho.getTag3()==null||eehol.getTag3()==null?null:new BigDecimal(Double.toString(eeho.getTag3())).subtract(new BigDecimal(Double.toString(eehol.getTag3()))).doubleValue());
		eeh.setTag4(eeho.getTag4()==null||eehol.getTag4()==null?null:new BigDecimal(Double.toString(eeho.getTag4())).subtract(new BigDecimal(Double.toString(eehol.getTag4()))).doubleValue());
		eeh.setTag5(eeho.getTag5()==null||eehol.getTag5()==null?null:new BigDecimal(Double.toString(eeho.getTag5())).subtract(new BigDecimal(Double.toString(eehol.getTag5()))).doubleValue());
		eeh.setTag6(eeho.getTag6()==null||eehol.getTag6()==null?null:new BigDecimal(Double.toString(eeho.getTag6())).subtract(new BigDecimal(Double.toString(eehol.getTag6()))).doubleValue());
		eeh.setTag7(eeho.getTag7()==null||eehol.getTag7()==null?null:new BigDecimal(Double.toString(eeho.getTag7())).subtract(new BigDecimal(Double.toString(eehol.getTag7()))).doubleValue());
		eeh.setTag8(eeho.getTag8()==null||eehol.getTag8()==null?null:new BigDecimal(Double.toString(eeho.getTag8())).subtract(new BigDecimal(Double.toString(eehol.getTag8()))).doubleValue());
		eeh.setTag9(eeho.getTag9()==null||eehol.getTag9()==null?null:new BigDecimal(Double.toString(eeho.getTag9())).subtract(new BigDecimal(Double.toString(eehol.getTag9()))).doubleValue());
		eeh.setTag10(eeho.getTag10()==null||eehol.getTag10()==null?null:new BigDecimal(Double.toString(eeho.getTag10())).subtract(new BigDecimal(Double.toString(eehol.getTag10()))).doubleValue());
		eeh.setTag11(eeho.getTag11()==null||eehol.getTag11()==null?null:new BigDecimal(Double.toString(eeho.getTag11())).subtract(new BigDecimal(Double.toString(eehol.getTag11()))).doubleValue());
		eeh.setTag12(eeho.getTag12()==null||eehol.getTag12()==null?null:new BigDecimal(Double.toString(eeho.getTag12())).subtract(new BigDecimal(Double.toString(eehol.getTag12()))).doubleValue());
		eeh.setTag13(eeho.getTag13()==null||eehol.getTag13()==null?null:new BigDecimal(Double.toString(eeho.getTag13())).subtract(new BigDecimal(Double.toString(eehol.getTag13()))).doubleValue());
		eeh.setTag14(eeho.getTag14()==null||eehol.getTag14()==null?null:new BigDecimal(Double.toString(eeho.getTag14())).subtract(new BigDecimal(Double.toString(eehol.getTag14()))).doubleValue());
		eeh.setTag15(eeho.getTag15()==null||eehol.getTag15()==null?null:new BigDecimal(Double.toString(eeho.getTag15())).subtract(new BigDecimal(Double.toString(eehol.getTag15()))).doubleValue());
		eeh.setTag16(eeho.getTag16()==null||eehol.getTag16()==null?null:new BigDecimal(Double.toString(eeho.getTag16())).subtract(new BigDecimal(Double.toString(eehol.getTag16()))).doubleValue());
		eeh.setTag17(eeho.getTag17()==null||eehol.getTag17()==null?null:new BigDecimal(Double.toString(eeho.getTag17())).subtract(new BigDecimal(Double.toString(eehol.getTag17()))).doubleValue());
		eeh.setTag18(eeho.getTag18()==null||eehol.getTag18()==null?null:new BigDecimal(Double.toString(eeho.getTag18())).subtract(new BigDecimal(Double.toString(eehol.getTag18()))).doubleValue());
		eeh.setTag19(eeho.getTag19()==null||eehol.getTag19()==null?null:new BigDecimal(Double.toString(eeho.getTag19())).subtract(new BigDecimal(Double.toString(eehol.getTag19()))).doubleValue());
		eeh.setTag20(eeho.getTag20()==null||eehol.getTag20()==null?null:new BigDecimal(Double.toString(eeho.getTag20())).subtract(new BigDecimal(Double.toString(eehol.getTag20()))).doubleValue());
		eeh.setTag21(eeho.getTag21()==null||eehol.getTag21()==null?null:new BigDecimal(Double.toString(eeho.getTag21())).subtract(new BigDecimal(Double.toString(eehol.getTag21()))).doubleValue());
		eeh.setTag22(eeho.getTag22()==null||eehol.getTag22()==null?null:new BigDecimal(Double.toString(eeho.getTag22())).subtract(new BigDecimal(Double.toString(eehol.getTag22()))).doubleValue());
		eeh.setTag23(eeho.getTag23()==null||eehol.getTag23()==null?null:new BigDecimal(Double.toString(eeho.getTag23())).subtract(new BigDecimal(Double.toString(eehol.getTag23()))).doubleValue());
		eeh.setTag24(eeho.getTag24()==null||eehol.getTag24()==null?null:new BigDecimal(Double.toString(eeho.getTag24())).subtract(new BigDecimal(Double.toString(eehol.getTag24()))).doubleValue());
		eeh.setTag25(eeho.getTag25()==null||eehol.getTag25()==null?null:new BigDecimal(Double.toString(eeho.getTag25())).subtract(new BigDecimal(Double.toString(eehol.getTag25()))).doubleValue());
		eeh.setTag26(eeho.getTag26()==null||eehol.getTag26()==null?null:new BigDecimal(Double.toString(eeho.getTag26())).subtract(new BigDecimal(Double.toString(eehol.getTag26()))).doubleValue());
		eeh.setTag27(eeho.getTag27()==null||eehol.getTag27()==null?null:new BigDecimal(Double.toString(eeho.getTag27())).subtract(new BigDecimal(Double.toString(eehol.getTag27()))).doubleValue());
		eeh.setTag28(eeho.getTag28()==null||eehol.getTag28()==null?null:new BigDecimal(Double.toString(eeho.getTag28())).subtract(new BigDecimal(Double.toString(eehol.getTag28()))).doubleValue());
		eeh.setTag29(eeho.getTag29()==null||eehol.getTag29()==null?null:new BigDecimal(Double.toString(eeho.getTag29())).subtract(new BigDecimal(Double.toString(eehol.getTag29()))).doubleValue());
		eeh.setTag30(eeho.getTag30()==null||eehol.getTag30()==null?null:new BigDecimal(Double.toString(eeho.getTag30())).subtract(new BigDecimal(Double.toString(eehol.getTag30()))).doubleValue());
		eeh.setTag31(eeho.getTag31()==null||eehol.getTag31()==null?null:new BigDecimal(Double.toString(eeho.getTag31())).subtract(new BigDecimal(Double.toString(eehol.getTag31()))).doubleValue());
		eeh.setTag32(eeho.getTag32()==null||eehol.getTag32()==null?null:new BigDecimal(Double.toString(eeho.getTag32())).subtract(new BigDecimal(Double.toString(eehol.getTag32()))).doubleValue());
		eeh.setTag33(eeho.getTag33()==null||eehol.getTag33()==null?null:new BigDecimal(Double.toString(eeho.getTag33())).subtract(new BigDecimal(Double.toString(eehol.getTag33()))).doubleValue());
		eeh.setTag34(eeho.getTag34()==null||eehol.getTag34()==null?null:new BigDecimal(Double.toString(eeho.getTag34())).subtract(new BigDecimal(Double.toString(eehol.getTag34()))).doubleValue());
		eeh.setTag35(eeho.getTag35()==null||eehol.getTag35()==null?null:new BigDecimal(Double.toString(eeho.getTag35())).subtract(new BigDecimal(Double.toString(eehol.getTag35()))).doubleValue());
		eeh.setTag36(eeho.getTag36()==null||eehol.getTag36()==null?null:new BigDecimal(Double.toString(eeho.getTag36())).subtract(new BigDecimal(Double.toString(eehol.getTag36()))).doubleValue());
		eeh.setTag37(eeho.getTag37()==null||eehol.getTag37()==null?null:new BigDecimal(Double.toString(eeho.getTag37())).subtract(new BigDecimal(Double.toString(eehol.getTag37()))).doubleValue());
		eeh.setTag38(eeho.getTag38()==null||eehol.getTag38()==null?null:new BigDecimal(Double.toString(eeho.getTag38())).subtract(new BigDecimal(Double.toString(eehol.getTag38()))).doubleValue());
		eeh.setTag39(eeho.getTag39()==null||eehol.getTag39()==null?null:new BigDecimal(Double.toString(eeho.getTag39())).subtract(new BigDecimal(Double.toString(eehol.getTag39()))).doubleValue());
		eeh.setTag40(eeho.getTag40()==null||eehol.getTag40()==null?null:new BigDecimal(Double.toString(eeho.getTag40())).subtract(new BigDecimal(Double.toString(eehol.getTag40()))).doubleValue());
		eeh.setTag41(eeho.getTag41()==null||eehol.getTag41()==null?null:new BigDecimal(Double.toString(eeho.getTag41())).subtract(new BigDecimal(Double.toString(eehol.getTag41()))).doubleValue());
		eeh.setTag42(eeho.getTag42()==null||eehol.getTag42()==null?null:new BigDecimal(Double.toString(eeho.getTag42())).subtract(new BigDecimal(Double.toString(eehol.getTag42()))).doubleValue());
		eeh.setTag43(eeho.getTag43()==null||eehol.getTag43()==null?null:new BigDecimal(Double.toString(eeho.getTag43())).subtract(new BigDecimal(Double.toString(eehol.getTag43()))).doubleValue());
		eeh.setTag44(eeho.getTag44()==null||eehol.getTag44()==null?null:new BigDecimal(Double.toString(eeho.getTag44())).subtract(new BigDecimal(Double.toString(eehol.getTag44()))).doubleValue());
		eeh.setTag45(eeho.getTag45()==null||eehol.getTag45()==null?null:new BigDecimal(Double.toString(eeho.getTag45())).subtract(new BigDecimal(Double.toString(eehol.getTag45()))).doubleValue());
		eeh.setTag46(eeho.getTag46()==null||eehol.getTag46()==null?null:new BigDecimal(Double.toString(eeho.getTag46())).subtract(new BigDecimal(Double.toString(eehol.getTag46()))).doubleValue());
		eeh.setTag47(eeho.getTag47()==null||eehol.getTag47()==null?null:new BigDecimal(Double.toString(eeho.getTag47())).subtract(new BigDecimal(Double.toString(eehol.getTag47()))).doubleValue());
		eeh.setTag48(eeho.getTag48()==null||eehol.getTag48()==null?null:new BigDecimal(Double.toString(eeho.getTag48())).subtract(new BigDecimal(Double.toString(eehol.getTag48()))).doubleValue());
		eeh.setTag49(eeho.getTag49()==null||eehol.getTag49()==null?null:new BigDecimal(Double.toString(eeho.getTag49())).subtract(new BigDecimal(Double.toString(eehol.getTag49()))).doubleValue());
		eeh.setTag50(eeho.getTag50()==null||eehol.getTag50()==null?null:new BigDecimal(Double.toString(eeho.getTag50())).subtract(new BigDecimal(Double.toString(eehol.getTag50()))).doubleValue());
		eeh.setTag51(eeho.getTag51()==null||eehol.getTag51()==null?null:new BigDecimal(Double.toString(eeho.getTag51())).subtract(new BigDecimal(Double.toString(eehol.getTag51()))).doubleValue());
		eeh.setTag52(eeho.getTag52()==null||eehol.getTag52()==null?null:new BigDecimal(Double.toString(eeho.getTag52())).subtract(new BigDecimal(Double.toString(eehol.getTag52()))).doubleValue());
		eeh.setTag53(eeho.getTag53()==null||eehol.getTag53()==null?null:new BigDecimal(Double.toString(eeho.getTag53())).subtract(new BigDecimal(Double.toString(eehol.getTag53()))).doubleValue());
		eeh.setTag54(eeho.getTag54()==null||eehol.getTag54()==null?null:new BigDecimal(Double.toString(eeho.getTag54())).subtract(new BigDecimal(Double.toString(eehol.getTag54()))).doubleValue());
		eeh.setTag55(eeho.getTag55()==null||eehol.getTag55()==null?null:new BigDecimal(Double.toString(eeho.getTag55())).subtract(new BigDecimal(Double.toString(eehol.getTag55()))).doubleValue());
		eeh.setTag56(eeho.getTag56()==null||eehol.getTag56()==null?null:new BigDecimal(Double.toString(eeho.getTag56())).subtract(new BigDecimal(Double.toString(eehol.getTag56()))).doubleValue());
		eeh.setTag57(eeho.getTag57()==null||eehol.getTag57()==null?null:new BigDecimal(Double.toString(eeho.getTag57())).subtract(new BigDecimal(Double.toString(eehol.getTag57()))).doubleValue());
		eeh.setTag58(eeho.getTag58()==null||eehol.getTag58()==null?null:new BigDecimal(Double.toString(eeho.getTag58())).subtract(new BigDecimal(Double.toString(eehol.getTag58()))).doubleValue());
		eeh.setTag59(eeho.getTag59()==null||eehol.getTag59()==null?null:new BigDecimal(Double.toString(eeho.getTag59())).subtract(new BigDecimal(Double.toString(eehol.getTag59()))).doubleValue());
		eeh.setTag60(eeho.getTag60()==null||eehol.getTag60()==null?null:new BigDecimal(Double.toString(eeho.getTag60())).subtract(new BigDecimal(Double.toString(eehol.getTag60()))).doubleValue());
		eeh.setTag61(eeho.getTag61()==null||eehol.getTag61()==null?null:new BigDecimal(Double.toString(eeho.getTag61())).subtract(new BigDecimal(Double.toString(eehol.getTag61()))).doubleValue());
		eeh.setTag62(eeho.getTag62()==null||eehol.getTag62()==null?null:new BigDecimal(Double.toString(eeho.getTag62())).subtract(new BigDecimal(Double.toString(eehol.getTag62()))).doubleValue());
		eeh.setTag63(eeho.getTag63()==null||eehol.getTag63()==null?null:new BigDecimal(Double.toString(eeho.getTag63())).subtract(new BigDecimal(Double.toString(eehol.getTag63()))).doubleValue());
		eeh.setTag64(eeho.getTag64()==null||eehol.getTag64()==null?null:new BigDecimal(Double.toString(eeho.getTag64())).subtract(new BigDecimal(Double.toString(eehol.getTag64()))).doubleValue());
		eeh.setTag65(eeho.getTag65()==null||eehol.getTag65()==null?null:new BigDecimal(Double.toString(eeho.getTag65())).subtract(new BigDecimal(Double.toString(eehol.getTag65()))).doubleValue());
		eeh.setTag66(eeho.getTag66()==null||eehol.getTag66()==null?null:new BigDecimal(Double.toString(eeho.getTag66())).subtract(new BigDecimal(Double.toString(eehol.getTag66()))).doubleValue());
		eeh.setTag67(eeho.getTag67()==null||eehol.getTag67()==null?null:new BigDecimal(Double.toString(eeho.getTag67())).subtract(new BigDecimal(Double.toString(eehol.getTag67()))).doubleValue());
		eeh.setTag68(eeho.getTag68()==null||eehol.getTag68()==null?null:new BigDecimal(Double.toString(eeho.getTag68())).subtract(new BigDecimal(Double.toString(eehol.getTag68()))).doubleValue());
		eeh.setTag69(eeho.getTag69()==null||eehol.getTag69()==null?null:new BigDecimal(Double.toString(eeho.getTag69())).subtract(new BigDecimal(Double.toString(eehol.getTag69()))).doubleValue());
		eeh.setTag70(eeho.getTag70()==null||eehol.getTag70()==null?null:new BigDecimal(Double.toString(eeho.getTag70())).subtract(new BigDecimal(Double.toString(eehol.getTag70()))).doubleValue());
		eeh.setTag71(eeho.getTag71()==null||eehol.getTag71()==null?null:new BigDecimal(Double.toString(eeho.getTag71())).subtract(new BigDecimal(Double.toString(eehol.getTag71()))).doubleValue());
		eeh.setTag72(eeho.getTag72()==null||eehol.getTag72()==null?null:new BigDecimal(Double.toString(eeho.getTag72())).subtract(new BigDecimal(Double.toString(eehol.getTag72()))).doubleValue());
		eeh.setTag73(eeho.getTag73()==null||eehol.getTag73()==null?null:new BigDecimal(Double.toString(eeho.getTag73())).subtract(new BigDecimal(Double.toString(eehol.getTag73()))).doubleValue());
		eeh.setTag74(eeho.getTag74()==null||eehol.getTag74()==null?null:new BigDecimal(Double.toString(eeho.getTag74())).subtract(new BigDecimal(Double.toString(eehol.getTag74()))).doubleValue());
		eeh.setTag75(eeho.getTag75()==null||eehol.getTag75()==null?null:new BigDecimal(Double.toString(eeho.getTag75())).subtract(new BigDecimal(Double.toString(eehol.getTag75()))).doubleValue());
		eeh.setTag76(eeho.getTag76()==null||eehol.getTag76()==null?null:new BigDecimal(Double.toString(eeho.getTag76())).subtract(new BigDecimal(Double.toString(eehol.getTag76()))).doubleValue());
		eeh.setTag77(eeho.getTag77()==null||eehol.getTag77()==null?null:new BigDecimal(Double.toString(eeho.getTag77())).subtract(new BigDecimal(Double.toString(eehol.getTag77()))).doubleValue());
		eeh.setTag78(eeho.getTag78()==null||eehol.getTag78()==null?null:new BigDecimal(Double.toString(eeho.getTag78())).subtract(new BigDecimal(Double.toString(eehol.getTag78()))).doubleValue());
		eeh.setTag79(eeho.getTag79()==null||eehol.getTag79()==null?null:new BigDecimal(Double.toString(eeho.getTag79())).subtract(new BigDecimal(Double.toString(eehol.getTag79()))).doubleValue());
		eeh.setTag80(eeho.getTag80()==null||eehol.getTag80()==null?null:new BigDecimal(Double.toString(eeho.getTag80())).subtract(new BigDecimal(Double.toString(eehol.getTag80()))).doubleValue());
		eeh.setTag81(eeho.getTag81()==null||eehol.getTag81()==null?null:new BigDecimal(Double.toString(eeho.getTag81())).subtract(new BigDecimal(Double.toString(eehol.getTag81()))).doubleValue());
		eeh.setTag82(eeho.getTag82()==null||eehol.getTag82()==null?null:new BigDecimal(Double.toString(eeho.getTag82())).subtract(new BigDecimal(Double.toString(eehol.getTag82()))).doubleValue());
		eeh.setTag83(eeho.getTag83()==null||eehol.getTag83()==null?null:new BigDecimal(Double.toString(eeho.getTag83())).subtract(new BigDecimal(Double.toString(eehol.getTag83()))).doubleValue());
		eeh.setTag84(eeho.getTag84()==null||eehol.getTag84()==null?null:new BigDecimal(Double.toString(eeho.getTag84())).subtract(new BigDecimal(Double.toString(eehol.getTag84()))).doubleValue());
		eeh.setTag85(eeho.getTag85()==null||eehol.getTag85()==null?null:new BigDecimal(Double.toString(eeho.getTag85())).subtract(new BigDecimal(Double.toString(eehol.getTag85()))).doubleValue());
		eeh.setTag86(eeho.getTag86()==null||eehol.getTag86()==null?null:new BigDecimal(Double.toString(eeho.getTag86())).subtract(new BigDecimal(Double.toString(eehol.getTag86()))).doubleValue());
		eeh.setTag87(eeho.getTag87()==null||eehol.getTag87()==null?null:new BigDecimal(Double.toString(eeho.getTag87())).subtract(new BigDecimal(Double.toString(eehol.getTag87()))).doubleValue());
		eeh.setTag88(eeho.getTag88()==null||eehol.getTag88()==null?null:new BigDecimal(Double.toString(eeho.getTag88())).subtract(new BigDecimal(Double.toString(eehol.getTag88()))).doubleValue());
		eeh.setTag89(eeho.getTag89()==null||eehol.getTag89()==null?null:new BigDecimal(Double.toString(eeho.getTag89())).subtract(new BigDecimal(Double.toString(eehol.getTag89()))).doubleValue());
		eeh.setTag90(eeho.getTag90()==null||eehol.getTag90()==null?null:new BigDecimal(Double.toString(eeho.getTag90())).subtract(new BigDecimal(Double.toString(eehol.getTag90()))).doubleValue());
		eeh.setTag91(eeho.getTag91()==null||eehol.getTag91()==null?null:new BigDecimal(Double.toString(eeho.getTag91())).subtract(new BigDecimal(Double.toString(eehol.getTag91()))).doubleValue());
		eeh.setTag92(eeho.getTag92()==null||eehol.getTag92()==null?null:new BigDecimal(Double.toString(eeho.getTag92())).subtract(new BigDecimal(Double.toString(eehol.getTag92()))).doubleValue());
		eeh.setTag93(eeho.getTag93()==null||eehol.getTag93()==null?null:new BigDecimal(Double.toString(eeho.getTag93())).subtract(new BigDecimal(Double.toString(eehol.getTag93()))).doubleValue());
		eeh.setTag94(eeho.getTag94()==null||eehol.getTag94()==null?null:new BigDecimal(Double.toString(eeho.getTag94())).subtract(new BigDecimal(Double.toString(eehol.getTag94()))).doubleValue());
		eeh.setTag95(eeho.getTag95()==null||eehol.getTag95()==null?null:new BigDecimal(Double.toString(eeho.getTag95())).subtract(new BigDecimal(Double.toString(eehol.getTag95()))).doubleValue());
		eeh.setTag96(eeho.getTag96()==null||eehol.getTag96()==null?null:new BigDecimal(Double.toString(eeho.getTag96())).subtract(new BigDecimal(Double.toString(eehol.getTag96()))).doubleValue());
		eeh.setTag97(eeho.getTag97()==null||eehol.getTag97()==null?null:new BigDecimal(Double.toString(eeho.getTag97())).subtract(new BigDecimal(Double.toString(eehol.getTag97()))).doubleValue());
		eeh.setTag98(eeho.getTag98()==null||eehol.getTag98()==null?null:new BigDecimal(Double.toString(eeho.getTag98())).subtract(new BigDecimal(Double.toString(eehol.getTag98()))).doubleValue());
		eeh.setTag99(eeho.getTag99()==null||eehol.getTag99()==null?null:new BigDecimal(Double.toString(eeho.getTag99())).subtract(new BigDecimal(Double.toString(eehol.getTag99()))).doubleValue());
		eeh.setTag100(eeho.getTag100()==null||eehol.getTag100()==null?null:new BigDecimal(Double.toString(eeho.getTag100())).subtract(new BigDecimal(Double.toString(eehol.getTag100()))).doubleValue());
		eeh.setTag101(eeho.getTag101()==null||eehol.getTag101()==null?null:new BigDecimal(Double.toString(eeho.getTag101())).subtract(new BigDecimal(Double.toString(eehol.getTag101()))).doubleValue());
		eeh.setTag102(eeho.getTag102()==null||eehol.getTag102()==null?null:new BigDecimal(Double.toString(eeho.getTag102())).subtract(new BigDecimal(Double.toString(eehol.getTag102()))).doubleValue());
		eeh.setTag103(eeho.getTag103()==null||eehol.getTag103()==null?null:new BigDecimal(Double.toString(eeho.getTag103())).subtract(new BigDecimal(Double.toString(eehol.getTag103()))).doubleValue());
		eeh.setTag104(eeho.getTag104()==null||eehol.getTag104()==null?null:new BigDecimal(Double.toString(eeho.getTag104())).subtract(new BigDecimal(Double.toString(eehol.getTag104()))).doubleValue());
		eeh.setTag105(eeho.getTag105()==null||eehol.getTag105()==null?null:new BigDecimal(Double.toString(eeho.getTag105())).subtract(new BigDecimal(Double.toString(eehol.getTag105()))).doubleValue());
		eeh.setTag106(eeho.getTag106()==null||eehol.getTag106()==null?null:new BigDecimal(Double.toString(eeho.getTag106())).subtract(new BigDecimal(Double.toString(eehol.getTag106()))).doubleValue());
		eeh.setTag107(eeho.getTag107()==null||eehol.getTag107()==null?null:new BigDecimal(Double.toString(eeho.getTag107())).subtract(new BigDecimal(Double.toString(eehol.getTag107()))).doubleValue());
		eeh.setTag108(eeho.getTag108()==null||eehol.getTag108()==null?null:new BigDecimal(Double.toString(eeho.getTag108())).subtract(new BigDecimal(Double.toString(eehol.getTag108()))).doubleValue());
		eeh.setTag109(eeho.getTag109()==null||eehol.getTag109()==null?null:new BigDecimal(Double.toString(eeho.getTag109())).subtract(new BigDecimal(Double.toString(eehol.getTag109()))).doubleValue());
		eeh.setTag110(eeho.getTag110()==null||eehol.getTag110()==null?null:new BigDecimal(Double.toString(eeho.getTag110())).subtract(new BigDecimal(Double.toString(eehol.getTag110()))).doubleValue());
		eeh.setTag111(eeho.getTag111()==null||eehol.getTag111()==null?null:new BigDecimal(Double.toString(eeho.getTag111())).subtract(new BigDecimal(Double.toString(eehol.getTag111()))).doubleValue());
		eeh.setTag112(eeho.getTag112()==null||eehol.getTag112()==null?null:new BigDecimal(Double.toString(eeho.getTag112())).subtract(new BigDecimal(Double.toString(eehol.getTag112()))).doubleValue());
		eeh.setTag113(eeho.getTag113()==null||eehol.getTag113()==null?null:new BigDecimal(Double.toString(eeho.getTag113())).subtract(new BigDecimal(Double.toString(eehol.getTag113()))).doubleValue());
		eeh.setTag114(eeho.getTag114()==null||eehol.getTag114()==null?null:new BigDecimal(Double.toString(eeho.getTag114())).subtract(new BigDecimal(Double.toString(eehol.getTag114()))).doubleValue());
		eeh.setTag115(eeho.getTag115()==null||eehol.getTag115()==null?null:new BigDecimal(Double.toString(eeho.getTag115())).subtract(new BigDecimal(Double.toString(eehol.getTag115()))).doubleValue());
		eeh.setTag116(eeho.getTag116()==null||eehol.getTag116()==null?null:new BigDecimal(Double.toString(eeho.getTag116())).subtract(new BigDecimal(Double.toString(eehol.getTag116()))).doubleValue());
		eeh.setTag117(eeho.getTag117()==null||eehol.getTag117()==null?null:new BigDecimal(Double.toString(eeho.getTag117())).subtract(new BigDecimal(Double.toString(eehol.getTag117()))).doubleValue());
		eeh.setTag118(eeho.getTag118()==null||eehol.getTag118()==null?null:new BigDecimal(Double.toString(eeho.getTag118())).subtract(new BigDecimal(Double.toString(eehol.getTag118()))).doubleValue());
		eeh.setTag119(eeho.getTag119()==null||eehol.getTag119()==null?null:new BigDecimal(Double.toString(eeho.getTag119())).subtract(new BigDecimal(Double.toString(eehol.getTag119()))).doubleValue());
		eeh.setTag120(eeho.getTag120()==null||eehol.getTag120()==null?null:new BigDecimal(Double.toString(eeho.getTag120())).subtract(new BigDecimal(Double.toString(eehol.getTag120()))).doubleValue());
		eeh.setTag121(eeho.getTag121()==null||eehol.getTag121()==null?null:new BigDecimal(Double.toString(eeho.getTag121())).subtract(new BigDecimal(Double.toString(eehol.getTag121()))).doubleValue());
		eeh.setTag122(eeho.getTag122()==null||eehol.getTag122()==null?null:new BigDecimal(Double.toString(eeho.getTag122())).subtract(new BigDecimal(Double.toString(eehol.getTag122()))).doubleValue());
		eeh.setTag123(eeho.getTag123()==null||eehol.getTag123()==null?null:new BigDecimal(Double.toString(eeho.getTag123())).subtract(new BigDecimal(Double.toString(eehol.getTag123()))).doubleValue());
		eeh.setTag124(eeho.getTag124()==null||eehol.getTag124()==null?null:new BigDecimal(Double.toString(eeho.getTag124())).subtract(new BigDecimal(Double.toString(eehol.getTag124()))).doubleValue());
		eeh.setTag125(eeho.getTag125()==null||eehol.getTag125()==null?null:new BigDecimal(Double.toString(eeho.getTag125())).subtract(new BigDecimal(Double.toString(eehol.getTag125()))).doubleValue());
		eeh.setTag126(eeho.getTag126()==null||eehol.getTag126()==null?null:new BigDecimal(Double.toString(eeho.getTag126())).subtract(new BigDecimal(Double.toString(eehol.getTag126()))).doubleValue());
		eeh.setTag127(eeho.getTag127()==null||eehol.getTag127()==null?null:new BigDecimal(Double.toString(eeho.getTag127())).subtract(new BigDecimal(Double.toString(eehol.getTag127()))).doubleValue());
		eeh.setTag128(eeho.getTag128()==null||eehol.getTag128()==null?null:new BigDecimal(Double.toString(eeho.getTag128())).subtract(new BigDecimal(Double.toString(eehol.getTag128()))).doubleValue());
		eeh.setTag129(eeho.getTag129()==null||eehol.getTag129()==null?null:new BigDecimal(Double.toString(eeho.getTag129())).subtract(new BigDecimal(Double.toString(eehol.getTag129()))).doubleValue());
		eeh.setTag130(eeho.getTag130()==null||eehol.getTag130()==null?null:new BigDecimal(Double.toString(eeho.getTag130())).subtract(new BigDecimal(Double.toString(eehol.getTag130()))).doubleValue());
		eeh.setTag131(eeho.getTag131()==null||eehol.getTag131()==null?null:new BigDecimal(Double.toString(eeho.getTag131())).subtract(new BigDecimal(Double.toString(eehol.getTag131()))).doubleValue());
		eeh.setTag132(eeho.getTag132()==null||eehol.getTag132()==null?null:new BigDecimal(Double.toString(eeho.getTag132())).subtract(new BigDecimal(Double.toString(eehol.getTag132()))).doubleValue());
		eeh.setTag133(eeho.getTag133()==null||eehol.getTag133()==null?null:new BigDecimal(Double.toString(eeho.getTag133())).subtract(new BigDecimal(Double.toString(eehol.getTag133()))).doubleValue());
		eeh.setTag134(eeho.getTag134()==null||eehol.getTag134()==null?null:new BigDecimal(Double.toString(eeho.getTag134())).subtract(new BigDecimal(Double.toString(eehol.getTag134()))).doubleValue());
		eeh.setTag135(eeho.getTag135()==null||eehol.getTag135()==null?null:new BigDecimal(Double.toString(eeho.getTag135())).subtract(new BigDecimal(Double.toString(eehol.getTag135()))).doubleValue());
		eeh.setTag136(eeho.getTag136()==null||eehol.getTag136()==null?null:new BigDecimal(Double.toString(eeho.getTag136())).subtract(new BigDecimal(Double.toString(eehol.getTag136()))).doubleValue());
		eeh.setTag137(eeho.getTag137()==null||eehol.getTag137()==null?null:new BigDecimal(Double.toString(eeho.getTag137())).subtract(new BigDecimal(Double.toString(eehol.getTag137()))).doubleValue());
		eeh.setTag138(eeho.getTag138()==null||eehol.getTag138()==null?null:new BigDecimal(Double.toString(eeho.getTag138())).subtract(new BigDecimal(Double.toString(eehol.getTag138()))).doubleValue());
		eeh.setTag139(eeho.getTag139()==null||eehol.getTag139()==null?null:new BigDecimal(Double.toString(eeho.getTag139())).subtract(new BigDecimal(Double.toString(eehol.getTag139()))).doubleValue());
		eeh.setTag140(eeho.getTag140()==null||eehol.getTag140()==null?null:new BigDecimal(Double.toString(eeho.getTag140())).subtract(new BigDecimal(Double.toString(eehol.getTag140()))).doubleValue());
		eeh.setTag141(eeho.getTag141()==null||eehol.getTag141()==null?null:new BigDecimal(Double.toString(eeho.getTag141())).subtract(new BigDecimal(Double.toString(eehol.getTag141()))).doubleValue());
		eeh.setTag142(eeho.getTag142()==null||eehol.getTag142()==null?null:new BigDecimal(Double.toString(eeho.getTag142())).subtract(new BigDecimal(Double.toString(eehol.getTag142()))).doubleValue());
		eeh.setTag143(eeho.getTag143()==null||eehol.getTag143()==null?null:new BigDecimal(Double.toString(eeho.getTag143())).subtract(new BigDecimal(Double.toString(eehol.getTag143()))).doubleValue());
		eeh.setTag144(eeho.getTag144()==null||eehol.getTag144()==null?null:new BigDecimal(Double.toString(eeho.getTag144())).subtract(new BigDecimal(Double.toString(eehol.getTag144()))).doubleValue());
		eeh.setTag145(eeho.getTag145()==null||eehol.getTag145()==null?null:new BigDecimal(Double.toString(eeho.getTag145())).subtract(new BigDecimal(Double.toString(eehol.getTag145()))).doubleValue());
		eeh.setTag146(eeho.getTag146()==null||eehol.getTag146()==null?null:new BigDecimal(Double.toString(eeho.getTag146())).subtract(new BigDecimal(Double.toString(eehol.getTag146()))).doubleValue());
		eeh.setTag147(eeho.getTag147()==null||eehol.getTag147()==null?null:new BigDecimal(Double.toString(eeho.getTag147())).subtract(new BigDecimal(Double.toString(eehol.getTag147()))).doubleValue());
		eeh.setTag148(eeho.getTag148()==null||eehol.getTag148()==null?null:new BigDecimal(Double.toString(eeho.getTag148())).subtract(new BigDecimal(Double.toString(eehol.getTag148()))).doubleValue());
		eeh.setTag149(eeho.getTag149()==null||eehol.getTag149()==null?null:new BigDecimal(Double.toString(eeho.getTag149())).subtract(new BigDecimal(Double.toString(eehol.getTag149()))).doubleValue());
		eeh.setTag150(eeho.getTag150()==null||eehol.getTag150()==null?null:new BigDecimal(Double.toString(eeho.getTag150())).subtract(new BigDecimal(Double.toString(eehol.getTag150()))).doubleValue());
		eeh.setTag151(eeho.getTag151()==null||eehol.getTag151()==null?null:new BigDecimal(Double.toString(eeho.getTag151())).subtract(new BigDecimal(Double.toString(eehol.getTag151()))).doubleValue());
		eeh.setTag152(eeho.getTag152()==null||eehol.getTag152()==null?null:new BigDecimal(Double.toString(eeho.getTag152())).subtract(new BigDecimal(Double.toString(eehol.getTag152()))).doubleValue());
		eeh.setTag153(eeho.getTag153()==null||eehol.getTag153()==null?null:new BigDecimal(Double.toString(eeho.getTag153())).subtract(new BigDecimal(Double.toString(eehol.getTag153()))).doubleValue());
		eeh.setTag154(eeho.getTag154()==null||eehol.getTag154()==null?null:new BigDecimal(Double.toString(eeho.getTag154())).subtract(new BigDecimal(Double.toString(eehol.getTag154()))).doubleValue());
		eeh.setTag155(eeho.getTag155()==null||eehol.getTag155()==null?null:new BigDecimal(Double.toString(eeho.getTag155())).subtract(new BigDecimal(Double.toString(eehol.getTag155()))).doubleValue());
		eeh.setTag156(eeho.getTag156()==null||eehol.getTag156()==null?null:new BigDecimal(Double.toString(eeho.getTag156())).subtract(new BigDecimal(Double.toString(eehol.getTag156()))).doubleValue());
		eeh.setTag157(eeho.getTag157()==null||eehol.getTag157()==null?null:new BigDecimal(Double.toString(eeho.getTag157())).subtract(new BigDecimal(Double.toString(eehol.getTag157()))).doubleValue());
		eeh.setTag158(eeho.getTag158()==null||eehol.getTag158()==null?null:new BigDecimal(Double.toString(eeho.getTag158())).subtract(new BigDecimal(Double.toString(eehol.getTag158()))).doubleValue());
		eeh.setTag159(eeho.getTag159()==null||eehol.getTag159()==null?null:new BigDecimal(Double.toString(eeho.getTag159())).subtract(new BigDecimal(Double.toString(eehol.getTag159()))).doubleValue());
		eeh.setTag160(eeho.getTag160()==null||eehol.getTag160()==null?null:new BigDecimal(Double.toString(eeho.getTag160())).subtract(new BigDecimal(Double.toString(eehol.getTag160()))).doubleValue());
		eeh.setTag161(eeho.getTag161()==null||eehol.getTag161()==null?null:new BigDecimal(Double.toString(eeho.getTag161())).subtract(new BigDecimal(Double.toString(eehol.getTag161()))).doubleValue());
		eeh.setTag162(eeho.getTag162()==null||eehol.getTag162()==null?null:new BigDecimal(Double.toString(eeho.getTag162())).subtract(new BigDecimal(Double.toString(eehol.getTag162()))).doubleValue());
		eeh.setTag163(eeho.getTag163()==null||eehol.getTag163()==null?null:new BigDecimal(Double.toString(eeho.getTag163())).subtract(new BigDecimal(Double.toString(eehol.getTag163()))).doubleValue());
		eeh.setTag164(eeho.getTag164()==null||eehol.getTag164()==null?null:new BigDecimal(Double.toString(eeho.getTag164())).subtract(new BigDecimal(Double.toString(eehol.getTag164()))).doubleValue());
		eeh.setTag165(eeho.getTag165()==null||eehol.getTag165()==null?null:new BigDecimal(Double.toString(eeho.getTag165())).subtract(new BigDecimal(Double.toString(eehol.getTag165()))).doubleValue());
		eeh.setTag166(eeho.getTag166()==null||eehol.getTag166()==null?null:new BigDecimal(Double.toString(eeho.getTag166())).subtract(new BigDecimal(Double.toString(eehol.getTag166()))).doubleValue());
		eeh.setTag167(eeho.getTag167()==null||eehol.getTag167()==null?null:new BigDecimal(Double.toString(eeho.getTag167())).subtract(new BigDecimal(Double.toString(eehol.getTag167()))).doubleValue());
		eeh.setTag168(eeho.getTag168()==null||eehol.getTag168()==null?null:new BigDecimal(Double.toString(eeho.getTag168())).subtract(new BigDecimal(Double.toString(eehol.getTag168()))).doubleValue());
		eeh.setTag169(eeho.getTag169()==null||eehol.getTag169()==null?null:new BigDecimal(Double.toString(eeho.getTag169())).subtract(new BigDecimal(Double.toString(eehol.getTag169()))).doubleValue());
		eeh.setTag170(eeho.getTag170()==null||eehol.getTag170()==null?null:new BigDecimal(Double.toString(eeho.getTag170())).subtract(new BigDecimal(Double.toString(eehol.getTag170()))).doubleValue());
		eeh.setTag171(eeho.getTag171()==null||eehol.getTag171()==null?null:new BigDecimal(Double.toString(eeho.getTag171())).subtract(new BigDecimal(Double.toString(eehol.getTag171()))).doubleValue());
		eeh.setTag172(eeho.getTag172()==null||eehol.getTag172()==null?null:new BigDecimal(Double.toString(eeho.getTag172())).subtract(new BigDecimal(Double.toString(eehol.getTag172()))).doubleValue());
		eeh.setTag173(eeho.getTag173()==null||eehol.getTag173()==null?null:new BigDecimal(Double.toString(eeho.getTag173())).subtract(new BigDecimal(Double.toString(eehol.getTag173()))).doubleValue());
		eeh.setTag174(eeho.getTag174()==null||eehol.getTag174()==null?null:new BigDecimal(Double.toString(eeho.getTag174())).subtract(new BigDecimal(Double.toString(eehol.getTag174()))).doubleValue());
		eeh.setTag175(eeho.getTag175()==null||eehol.getTag175()==null?null:new BigDecimal(Double.toString(eeho.getTag175())).subtract(new BigDecimal(Double.toString(eehol.getTag175()))).doubleValue());
		eeh.setTag176(eeho.getTag176()==null||eehol.getTag176()==null?null:new BigDecimal(Double.toString(eeho.getTag176())).subtract(new BigDecimal(Double.toString(eehol.getTag176()))).doubleValue());
		eeh.setTag177(eeho.getTag177()==null||eehol.getTag177()==null?null:new BigDecimal(Double.toString(eeho.getTag177())).subtract(new BigDecimal(Double.toString(eehol.getTag177()))).doubleValue());
		eeh.setTag178(eeho.getTag178()==null||eehol.getTag178()==null?null:new BigDecimal(Double.toString(eeho.getTag178())).subtract(new BigDecimal(Double.toString(eehol.getTag178()))).doubleValue());
		eeh.setTag179(eeho.getTag179()==null||eehol.getTag179()==null?null:new BigDecimal(Double.toString(eeho.getTag179())).subtract(new BigDecimal(Double.toString(eehol.getTag179()))).doubleValue());
		eeh.setTag180(eeho.getTag180()==null||eehol.getTag180()==null?null:new BigDecimal(Double.toString(eeho.getTag180())).subtract(new BigDecimal(Double.toString(eehol.getTag180()))).doubleValue());
		eeh.setTag181(eeho.getTag181()==null||eehol.getTag181()==null?null:new BigDecimal(Double.toString(eeho.getTag181())).subtract(new BigDecimal(Double.toString(eehol.getTag181()))).doubleValue());
		eeh.setTag182(eeho.getTag182()==null||eehol.getTag182()==null?null:new BigDecimal(Double.toString(eeho.getTag182())).subtract(new BigDecimal(Double.toString(eehol.getTag182()))).doubleValue());
		return eeh;
    }
	
	/**
	 * 小时准点值赋值（用于mybatis查询后map结果赋值到准点值）
	 * 
	 * @param eeho
	 * @param mp 
	 * @return
	 */
	public static EmsEoAiHourSumTab1Org setValByMap(EmsEoAiHourSumTab1Org eeho,Map<String, Object> mp){
		if(mp!=null && mp.size()>0 && eeho!=null){
			eeho.setTag1(mp.get("F035800001") == null ? null : Double.valueOf(mp.get("F035800001").toString()));
			eeho.setTag2(mp.get("R035800001") == null ? null : Double.valueOf(mp.get("R035800001").toString()));
			eeho.setTag3(mp.get("F035800002") == null ? null : Double.valueOf(mp.get("F035800002").toString()));
			eeho.setTag4(mp.get("R035800002") == null ? null : Double.valueOf(mp.get("R035800002").toString()));
			eeho.setTag5(mp.get("F035800003") == null ? null : Double.valueOf(mp.get("F035800003").toString()));
			eeho.setTag6(mp.get("R035800003") == null ? null : Double.valueOf(mp.get("R035800003").toString()));
			eeho.setTag7(mp.get("F035800004") == null ? null : Double.valueOf(mp.get("F035800004").toString()));
			eeho.setTag8(mp.get("R035800004") == null ? null : Double.valueOf(mp.get("R035800004").toString()));
			eeho.setTag9(mp.get("F035800005") == null ? null : Double.valueOf(mp.get("F035800005").toString()));
			eeho.setTag10(mp.get("R035800005") == null ? null : Double.valueOf(mp.get("R035800005").toString()));
			eeho.setTag11(mp.get("F035800006") == null ? null : Double.valueOf(mp.get("F035800006").toString()));
			eeho.setTag12(mp.get("R035800006") == null ? null : Double.valueOf(mp.get("R035800006").toString()));
			eeho.setTag13(mp.get("F035800007") == null ? null : Double.valueOf(mp.get("F035800007").toString()));
			eeho.setTag14(mp.get("R035800007") == null ? null : Double.valueOf(mp.get("R035800007").toString()));
			eeho.setTag15(mp.get("F035800008") == null ? null : Double.valueOf(mp.get("F035800008").toString()));
			eeho.setTag16(mp.get("R035800008") == null ? null : Double.valueOf(mp.get("R035800008").toString()));
			eeho.setTag17(mp.get("F035800009") == null ? null : Double.valueOf(mp.get("F035800009").toString()));
			eeho.setTag18(mp.get("R035800009") == null ? null : Double.valueOf(mp.get("R035800009").toString()));
			eeho.setTag19(mp.get("F035800010") == null ? null : Double.valueOf(mp.get("F035800010").toString()));
			eeho.setTag20(mp.get("R035800010") == null ? null : Double.valueOf(mp.get("R035800010").toString()));
			eeho.setTag21(mp.get("F035800011") == null ? null : Double.valueOf(mp.get("F035800011").toString()));
			eeho.setTag22(mp.get("R035800011") == null ? null : Double.valueOf(mp.get("R035800011").toString()));
			eeho.setTag23(mp.get("F035800012") == null ? null : Double.valueOf(mp.get("F035800012").toString()));
			eeho.setTag24(mp.get("R035800012") == null ? null : Double.valueOf(mp.get("R035800012").toString()));
			eeho.setTag25(mp.get("F035800013") == null ? null : Double.valueOf(mp.get("F035800013").toString()));
			eeho.setTag26(mp.get("R035800013") == null ? null : Double.valueOf(mp.get("R035800013").toString()));
			eeho.setTag27(mp.get("F035800014") == null ? null : Double.valueOf(mp.get("F035800014").toString()));
			eeho.setTag28(mp.get("R035800014") == null ? null : Double.valueOf(mp.get("R035800014").toString()));
			eeho.setTag29(mp.get("F035800015") == null ? null : Double.valueOf(mp.get("F035800015").toString()));
			eeho.setTag30(mp.get("R035800015") == null ? null : Double.valueOf(mp.get("R035800015").toString()));
			eeho.setTag31(mp.get("F035800016") == null ? null : Double.valueOf(mp.get("F035800016").toString()));
			eeho.setTag32(mp.get("R035800016") == null ? null : Double.valueOf(mp.get("R035800016").toString()));
			eeho.setTag33(mp.get("F035800017") == null ? null : Double.valueOf(mp.get("F035800017").toString()));
			eeho.setTag34(mp.get("R035800017") == null ? null : Double.valueOf(mp.get("R035800017").toString()));
			eeho.setTag35(mp.get("F035800018") == null ? null : Double.valueOf(mp.get("F035800018").toString()));
			eeho.setTag36(mp.get("R035800018") == null ? null : Double.valueOf(mp.get("R035800018").toString()));
			eeho.setTag37(mp.get("F035800019") == null ? null : Double.valueOf(mp.get("F035800019").toString()));
			eeho.setTag38(mp.get("R035800019") == null ? null : Double.valueOf(mp.get("R035800019").toString()));
			eeho.setTag39(mp.get("F035800020") == null ? null : Double.valueOf(mp.get("F035800020").toString()));
			eeho.setTag40(mp.get("R035800020") == null ? null : Double.valueOf(mp.get("R035800020").toString()));
			eeho.setTag41(mp.get("F035800021") == null ? null : Double.valueOf(mp.get("F035800021").toString()));
			eeho.setTag42(mp.get("R035800021") == null ? null : Double.valueOf(mp.get("R035800021").toString()));
			eeho.setTag43(mp.get("F035800022") == null ? null : Double.valueOf(mp.get("F035800022").toString()));
			eeho.setTag44(mp.get("R035800022") == null ? null : Double.valueOf(mp.get("R035800022").toString()));
			eeho.setTag45(mp.get("F035800023") == null ? null : Double.valueOf(mp.get("F035800023").toString()));
			eeho.setTag46(mp.get("R035800023") == null ? null : Double.valueOf(mp.get("R035800023").toString()));
			eeho.setTag47(mp.get("F035800024") == null ? null : Double.valueOf(mp.get("F035800024").toString()));
			eeho.setTag48(mp.get("R035800024") == null ? null : Double.valueOf(mp.get("R035800024").toString()));
			eeho.setTag49(mp.get("F035800025") == null ? null : Double.valueOf(mp.get("F035800025").toString()));
			eeho.setTag50(mp.get("R035800025") == null ? null : Double.valueOf(mp.get("R035800025").toString()));
			eeho.setTag51(mp.get("F035800026") == null ? null : Double.valueOf(mp.get("F035800026").toString()));
			eeho.setTag52(mp.get("R035800026") == null ? null : Double.valueOf(mp.get("R035800026").toString()));
			eeho.setTag53(mp.get("F035800027") == null ? null : Double.valueOf(mp.get("F035800027").toString()));
			eeho.setTag54(mp.get("R035800027") == null ? null : Double.valueOf(mp.get("R035800027").toString()));
			eeho.setTag55(mp.get("F035800028") == null ? null : Double.valueOf(mp.get("F035800028").toString()));
			eeho.setTag56(mp.get("R035800028") == null ? null : Double.valueOf(mp.get("R035800028").toString()));
			eeho.setTag57(mp.get("F035800029") == null ? null : Double.valueOf(mp.get("F035800029").toString()));
			eeho.setTag58(mp.get("R035800029") == null ? null : Double.valueOf(mp.get("R035800029").toString()));
			eeho.setTag59(mp.get("F035800030") == null ? null : Double.valueOf(mp.get("F035800030").toString()));
			eeho.setTag60(mp.get("R035800030") == null ? null : Double.valueOf(mp.get("R035800030").toString()));
			eeho.setTag61(mp.get("F035800031") == null ? null : Double.valueOf(mp.get("F035800031").toString()));
			eeho.setTag62(mp.get("R035800031") == null ? null : Double.valueOf(mp.get("R035800031").toString()));
			eeho.setTag63(mp.get("F035800032") == null ? null : Double.valueOf(mp.get("F035800032").toString()));
			eeho.setTag64(mp.get("R035800032") == null ? null : Double.valueOf(mp.get("R035800032").toString()));
			eeho.setTag65(mp.get("F035800033") == null ? null : Double.valueOf(mp.get("F035800033").toString()));
			eeho.setTag66(mp.get("R035800033") == null ? null : Double.valueOf(mp.get("R035800033").toString()));
			eeho.setTag67(mp.get("F035800034") == null ? null : Double.valueOf(mp.get("F035800034").toString()));
			eeho.setTag68(mp.get("R035800034") == null ? null : Double.valueOf(mp.get("R035800034").toString()));
			eeho.setTag69(mp.get("F035800035") == null ? null : Double.valueOf(mp.get("F035800035").toString()));
			eeho.setTag70(mp.get("R035800035") == null ? null : Double.valueOf(mp.get("R035800035").toString()));
			eeho.setTag71(mp.get("F035800036") == null ? null : Double.valueOf(mp.get("F035800036").toString()));
			eeho.setTag72(mp.get("R035800036") == null ? null : Double.valueOf(mp.get("R035800036").toString()));
			eeho.setTag73(mp.get("F035800037") == null ? null : Double.valueOf(mp.get("F035800037").toString()));
			eeho.setTag74(mp.get("R035800037") == null ? null : Double.valueOf(mp.get("R035800037").toString()));
			eeho.setTag75(mp.get("F035800038") == null ? null : Double.valueOf(mp.get("F035800038").toString()));
			eeho.setTag76(mp.get("R035800038") == null ? null : Double.valueOf(mp.get("R035800038").toString()));
			eeho.setTag77(mp.get("F035800039") == null ? null : Double.valueOf(mp.get("F035800039").toString()));
			eeho.setTag78(mp.get("R035800039") == null ? null : Double.valueOf(mp.get("R035800039").toString()));
			eeho.setTag79(mp.get("F035800040") == null ? null : Double.valueOf(mp.get("F035800040").toString()));
			eeho.setTag80(mp.get("R035800040") == null ? null : Double.valueOf(mp.get("R035800040").toString()));
			eeho.setTag81(mp.get("F035800041") == null ? null : Double.valueOf(mp.get("F035800041").toString()));
			eeho.setTag82(mp.get("R035800041") == null ? null : Double.valueOf(mp.get("R035800041").toString()));
			eeho.setTag83(mp.get("F035800042") == null ? null : Double.valueOf(mp.get("F035800042").toString()));
			eeho.setTag84(mp.get("R035800042") == null ? null : Double.valueOf(mp.get("R035800042").toString()));
			eeho.setTag85(mp.get("F035800043") == null ? null : Double.valueOf(mp.get("F035800043").toString()));
			eeho.setTag86(mp.get("R035800043") == null ? null : Double.valueOf(mp.get("R035800043").toString()));
			eeho.setTag87(mp.get("F035800044") == null ? null : Double.valueOf(mp.get("F035800044").toString()));
			eeho.setTag88(mp.get("R035800044") == null ? null : Double.valueOf(mp.get("R035800044").toString()));
			eeho.setTag89(mp.get("F035800045") == null ? null : Double.valueOf(mp.get("F035800045").toString()));
			eeho.setTag90(mp.get("R035800045") == null ? null : Double.valueOf(mp.get("R035800045").toString()));
			eeho.setTag91(mp.get("F035800046") == null ? null : Double.valueOf(mp.get("F035800046").toString()));
			eeho.setTag92(mp.get("R035800046") == null ? null : Double.valueOf(mp.get("R035800046").toString()));
			eeho.setTag93(mp.get("F035800047") == null ? null : Double.valueOf(mp.get("F035800047").toString()));
			eeho.setTag94(mp.get("R035800047") == null ? null : Double.valueOf(mp.get("R035800047").toString()));
			eeho.setTag95(mp.get("F035800048") == null ? null : Double.valueOf(mp.get("F035800048").toString()));
			eeho.setTag96(mp.get("R035800048") == null ? null : Double.valueOf(mp.get("R035800048").toString()));
			eeho.setTag97(mp.get("F035800049") == null ? null : Double.valueOf(mp.get("F035800049").toString()));
			eeho.setTag98(mp.get("R035800049") == null ? null : Double.valueOf(mp.get("R035800049").toString()));
			eeho.setTag99(mp.get("F035800050") == null ? null : Double.valueOf(mp.get("F035800050").toString()));
			eeho.setTag100(mp.get("R035800050") == null ? null : Double.valueOf(mp.get("R035800050").toString()));
			eeho.setTag101(mp.get("F035800051") == null ? null : Double.valueOf(mp.get("F035800051").toString()));
			eeho.setTag102(mp.get("R035800051") == null ? null : Double.valueOf(mp.get("R035800051").toString()));
			eeho.setTag103(mp.get("F035800052") == null ? null : Double.valueOf(mp.get("F035800052").toString()));
			eeho.setTag104(mp.get("R035800052") == null ? null : Double.valueOf(mp.get("R035800052").toString()));
			eeho.setTag105(mp.get("F035800053") == null ? null : Double.valueOf(mp.get("F035800053").toString()));
			eeho.setTag106(mp.get("R035800053") == null ? null : Double.valueOf(mp.get("R035800053").toString()));
			eeho.setTag107(mp.get("F035800054") == null ? null : Double.valueOf(mp.get("F035800054").toString()));
			eeho.setTag108(mp.get("R035800054") == null ? null : Double.valueOf(mp.get("R035800054").toString()));
			eeho.setTag109(mp.get("F035800055") == null ? null : Double.valueOf(mp.get("F035800055").toString()));
			eeho.setTag110(mp.get("R035800055") == null ? null : Double.valueOf(mp.get("R035800055").toString()));
			eeho.setTag111(mp.get("F035800056") == null ? null : Double.valueOf(mp.get("F035800056").toString()));
			eeho.setTag112(mp.get("R035800056") == null ? null : Double.valueOf(mp.get("R035800056").toString()));
			eeho.setTag113(mp.get("F035800057") == null ? null : Double.valueOf(mp.get("F035800057").toString()));
			eeho.setTag114(mp.get("R035800057") == null ? null : Double.valueOf(mp.get("R035800057").toString()));
			eeho.setTag115(mp.get("F035800058") == null ? null : Double.valueOf(mp.get("F035800058").toString()));
			eeho.setTag116(mp.get("R035800058") == null ? null : Double.valueOf(mp.get("R035800058").toString()));
			eeho.setTag117(mp.get("F035800059") == null ? null : Double.valueOf(mp.get("F035800059").toString()));
			eeho.setTag118(mp.get("R035800059") == null ? null : Double.valueOf(mp.get("R035800059").toString()));
			eeho.setTag119(mp.get("F035800060") == null ? null : Double.valueOf(mp.get("F035800060").toString()));
			eeho.setTag120(mp.get("R035800060") == null ? null : Double.valueOf(mp.get("R035800060").toString()));
			eeho.setTag121(mp.get("F035800061") == null ? null : Double.valueOf(mp.get("F035800061").toString()));
			eeho.setTag122(mp.get("R035800061") == null ? null : Double.valueOf(mp.get("R035800061").toString()));
			eeho.setTag123(mp.get("F035800062") == null ? null : Double.valueOf(mp.get("F035800062").toString()));
			eeho.setTag124(mp.get("R035800062") == null ? null : Double.valueOf(mp.get("R035800062").toString()));
			eeho.setTag125(mp.get("F035800063") == null ? null : Double.valueOf(mp.get("F035800063").toString()));
			eeho.setTag126(mp.get("R035800063") == null ? null : Double.valueOf(mp.get("R035800063").toString()));
			eeho.setTag127(mp.get("F035800064") == null ? null : Double.valueOf(mp.get("F035800064").toString()));
			eeho.setTag128(mp.get("R035800064") == null ? null : Double.valueOf(mp.get("R035800064").toString()));
			eeho.setTag129(mp.get("F035800065") == null ? null : Double.valueOf(mp.get("F035800065").toString()));
			eeho.setTag130(mp.get("R035800065") == null ? null : Double.valueOf(mp.get("R035800065").toString()));
			eeho.setTag131(mp.get("F035800066") == null ? null : Double.valueOf(mp.get("F035800066").toString()));
			eeho.setTag132(mp.get("R035800066") == null ? null : Double.valueOf(mp.get("R035800066").toString()));
			eeho.setTag133(mp.get("F035800067") == null ? null : Double.valueOf(mp.get("F035800067").toString()));
			eeho.setTag134(mp.get("R035800067") == null ? null : Double.valueOf(mp.get("R035800067").toString()));
			eeho.setTag135(mp.get("F035800068") == null ? null : Double.valueOf(mp.get("F035800068").toString()));
			eeho.setTag136(mp.get("R035800068") == null ? null : Double.valueOf(mp.get("R035800068").toString()));
			eeho.setTag137(mp.get("F035800069") == null ? null : Double.valueOf(mp.get("F035800069").toString()));
			eeho.setTag138(mp.get("R035800069") == null ? null : Double.valueOf(mp.get("R035800069").toString()));
			eeho.setTag139(mp.get("F035800070") == null ? null : Double.valueOf(mp.get("F035800070").toString()));
			eeho.setTag140(mp.get("R035800070") == null ? null : Double.valueOf(mp.get("R035800070").toString()));
			eeho.setTag141(mp.get("F035800071") == null ? null : Double.valueOf(mp.get("F035800071").toString()));
			eeho.setTag142(mp.get("R035800071") == null ? null : Double.valueOf(mp.get("R035800071").toString()));
			eeho.setTag143(mp.get("F035800072") == null ? null : Double.valueOf(mp.get("F035800072").toString()));
			eeho.setTag144(mp.get("R035800072") == null ? null : Double.valueOf(mp.get("R035800072").toString()));
			eeho.setTag145(mp.get("F035800073") == null ? null : Double.valueOf(mp.get("F035800073").toString()));
			eeho.setTag146(mp.get("R035800073") == null ? null : Double.valueOf(mp.get("R035800073").toString()));
			eeho.setTag147(mp.get("F035800074") == null ? null : Double.valueOf(mp.get("F035800074").toString()));
			eeho.setTag148(mp.get("R035800074") == null ? null : Double.valueOf(mp.get("R035800074").toString()));
			eeho.setTag149(mp.get("F035800075") == null ? null : Double.valueOf(mp.get("F035800075").toString()));
			eeho.setTag150(mp.get("R035800075") == null ? null : Double.valueOf(mp.get("R035800075").toString()));
			eeho.setTag151(mp.get("F035800076") == null ? null : Double.valueOf(mp.get("F035800076").toString()));
			eeho.setTag152(mp.get("R035800076") == null ? null : Double.valueOf(mp.get("R035800076").toString()));
			eeho.setTag153(mp.get("F035800077") == null ? null : Double.valueOf(mp.get("F035800077").toString()));
			eeho.setTag154(mp.get("R035800077") == null ? null : Double.valueOf(mp.get("R035800077").toString()));
			eeho.setTag155(mp.get("F035800078") == null ? null : Double.valueOf(mp.get("F035800078").toString()));
			eeho.setTag156(mp.get("R035800078") == null ? null : Double.valueOf(mp.get("R035800078").toString()));
			eeho.setTag157(mp.get("F035800079") == null ? null : Double.valueOf(mp.get("F035800079").toString()));
			eeho.setTag158(mp.get("R035800079") == null ? null : Double.valueOf(mp.get("R035800079").toString()));
			eeho.setTag159(mp.get("F035800080") == null ? null : Double.valueOf(mp.get("F035800080").toString()));
			eeho.setTag160(mp.get("R035800080") == null ? null : Double.valueOf(mp.get("R035800080").toString()));
			eeho.setTag161(mp.get("F035800081") == null ? null : Double.valueOf(mp.get("F035800081").toString()));
			eeho.setTag162(mp.get("R035800081") == null ? null : Double.valueOf(mp.get("R035800081").toString()));
			eeho.setTag163(mp.get("F035800082") == null ? null : Double.valueOf(mp.get("F035800082").toString()));
			eeho.setTag164(mp.get("R035800082") == null ? null : Double.valueOf(mp.get("R035800082").toString()));
			eeho.setTag165(mp.get("F035800083") == null ? null : Double.valueOf(mp.get("F035800083").toString()));
			eeho.setTag166(mp.get("R035800083") == null ? null : Double.valueOf(mp.get("R035800083").toString()));
			eeho.setTag167(mp.get("F035800084") == null ? null : Double.valueOf(mp.get("F035800084").toString()));
			eeho.setTag168(mp.get("R035800084") == null ? null : Double.valueOf(mp.get("R035800084").toString()));
			eeho.setTag169(mp.get("F035800085") == null ? null : Double.valueOf(mp.get("F035800085").toString()));
			eeho.setTag170(mp.get("R035800085") == null ? null : Double.valueOf(mp.get("R035800085").toString()));
			eeho.setTag171(mp.get("F035800086") == null ? null : Double.valueOf(mp.get("F035800086").toString()));
			eeho.setTag172(mp.get("R035800086") == null ? null : Double.valueOf(mp.get("R035800086").toString()));
			eeho.setTag173(mp.get("F035800087") == null ? null : Double.valueOf(mp.get("F035800087").toString()));
			eeho.setTag174(mp.get("R035800087") == null ? null : Double.valueOf(mp.get("R035800087").toString()));
			eeho.setTag175(mp.get("F035800088") == null ? null : Double.valueOf(mp.get("F035800088").toString()));
			eeho.setTag176(mp.get("R035800088") == null ? null : Double.valueOf(mp.get("R035800088").toString()));
			eeho.setTag177(mp.get("F035800089") == null ? null : Double.valueOf(mp.get("F035800089").toString()));
			eeho.setTag178(mp.get("R035800089") == null ? null : Double.valueOf(mp.get("R035800089").toString()));
			eeho.setTag179(mp.get("F035800090") == null ? null : Double.valueOf(mp.get("F035800090").toString()));
			eeho.setTag180(mp.get("R035800090") == null ? null : Double.valueOf(mp.get("R035800090").toString()));
			eeho.setTag181(mp.get("F035800091") == null ? null : Double.valueOf(mp.get("F035800091").toString()));
			eeho.setTag182(mp.get("R035800091") == null ? null : Double.valueOf(mp.get("R035800091").toString()));
		}
		return eeho;
	}
}
